MandatSequence
Date: 2015-04-26

de.jost_net.OBanToo.SEPA.Basislastschrift

## Enum MandatSequence

- java.lang.Object
- - java.lang.Enum<MandatSequence>
  - - de.jost_net.OBanToo.SEPA.Basislastschrift.MandatSequence

- All Implemented Interfaces:
    java.io.Serializable, java.lang.Comparable<MandatSequence>

      public enum MandatSequence
      extends java.lang.Enum<MandatSequence>

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant and Description
    `FNAL`
    `FRST`
    `OOFF`
    `RCUR`

  - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `private java.lang.String` | `anzeige`
    `private SequenceType1Code` | `code`
    `private java.lang.String` | `txt`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `static MandatSequence` | `fromString(java.lang.String txt)`
    `SequenceType1Code` | `getCode()`
    `java.lang.String` | `getTxt()`
    `java.lang.String` | `toString()`
    `static MandatSequence` | `valueOf(java.lang.String name)` Returns the enum constant of this type with the specified name.
    `static MandatSequence[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### FRST

          public static final MandatSequence FRST

    - #### RCUR

          public static final MandatSequence RCUR

    - #### FNAL

          public static final MandatSequence FNAL

    - #### OOFF

          public static final MandatSequence OOFF

  - ### Field Detail

    - #### txt

          private final java.lang.String txt

    - #### code

          private final SequenceType1Code code

    - #### anzeige

          private final java.lang.String anzeige

  - ### Method Detail

    - #### values

          public static MandatSequence[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (MandatSequence c : MandatSequence.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static MandatSequence valueOf(java.lang.String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `java.lang.IllegalArgumentException` - if this enum type has no constant with the specified name
        `java.lang.NullPointerException` - if the argument is null

    - #### toString

          public java.lang.String toString()

      Overrides:
        `toString` in class `java.lang.Enum<MandatSequence>`

    - #### fromString

          public static MandatSequence fromString(java.lang.String txt)

    - #### getTxt

          public java.lang.String getTxt()

    - #### getCode

          public SequenceType1Code getCode()